function draw()	
	UiMakeInteractive()
	
	UiPush()
		UiAlign("center middle")
		UiFont("bold.ttf", 32)

		UiTranslate(UiCenter(), 200)
		UiPush()
			UiScale(3)
			UiText("Minecraft Village")
		UiPop()
		
		UiTranslate(0, 70)
			UiScale(1.5)
			UiText("Select a mode from the list")
		
		UiTranslate(-90, 100)
		
		UiAlign("left")
		
		if UiTextButton("Default Mode") then StartLevel("", "MOD/MinecraftVillageSandbox.xml") end
		UiTranslate(0, 60)
		
		if UiTextButton("LowFPS Mode") then StartLevel("", "MOD/MinecraftVillageSandboxLowFPS.xml") end
		UiTranslate(0, 60)
		
		if UiTextButton("Living Villagers [EXP]") then StartLevel("", "MOD/MinecraftVillageSandboxVillagers.xml") end
		UiTranslate(0, 60)
	UiPop()
	
	UiPush()
		UiAlign("center middle")
		UiFont("regular.ttf", 20)

		UiTranslate(UiCenter(), 1050)
		UiPush()
			UiText("Low FPS mode removes the background and some objects as well as making the ground unbreakable.")
		UiPop()
	UiPop()
end
